# gcu::FormulaAtom Class Reference

`#include <formula.h>`

Inheritance diagram for gcu::FormulaAtom:

List of all members.

## Public Member Functions

| FormulaAtom (int Z)
virtual | ~FormulaAtom ()
std::string | Markup ()
std::string | Text ()
void | BuildRawFormula (std::map< int, int > &raw)
int | GetValence ()

## Detailed Description

class FormulaAtom gcu/formula.h Represents an atom in a formula.

Definition at line 151 of file formula.h.

## Constructor & Destructor Documentation

gcu::FormulaAtom::FormulaAtom | ( | int | Z | ) |

Parameters:

  | Z |

virtual gcu::FormulaAtom::~FormulaAtom | ( |  | ) | `[virtual]`

The destructor.

## Member Function Documentation

std::string gcu::FormulaAtom::Markup | ( |  | ) | `[virtual]`

Returns:
  the string representation of the element as a markup.

Reimplemented from gcu::FormulaElt.

std::string gcu::FormulaAtom::Text | ( |  | ) | `[virtual]`

Returns:
  the string representation of the element as raw text.

Reimplemented from gcu::FormulaElt.

void gcu::FormulaAtom::BuildRawFormula | ( | std::map< int, int > & | raw | ) | `[virtual]`

Parameters:

  | raw | where to put the result

Adds the stoichiometry coefficient to the entry correponding to the element.

Implements gcu::FormulaElt.

int gcu::FormulaAtom::GetValence | ( |  | ) | `[virtual]`

Returns:
  the (most probable) valence of the element.

Implements gcu::FormulaElt.

The documentation for this class was generated from the following file:

- formula.h